{pkgs, ...}@args:
	{name, src, setupCommands}:
		((import (pkgs.stdenv.mkDerivation {
			name = name;
			src = src;
			buildCommand = ''
				mkdir $out
				tar -xzvf $src -C $out
				cd $out
				${setupCommands}
			'';
		})) {}).package
