{pkgs, ...}@args:
	with pkgs.stdenv.lib;

	applications:
		concatStrings (map (application: ''
			${application.hostname} {
				timeouts none

				${optionalString (application.tls == false) "tls off"}
				${optionalString (application?root && application.root != null) "root ${application.root}"}
				${optionalString (application?proxyTarget && application.proxyTarget != null) ''
					proxy / ${application.proxyTarget} {
						websocket
						transparent
					}
				''}
				${optionalString (application?config) application.config}
			}
		'') applications)
