{pkgs, ...}@args:
	# FIXME: The below `name` default should be updated to use `gitRepoToName` in 17.09
	{owner, repo, rev, name ? ("${repo}-${rev}-src"), ...}@sourceArgs:
		let
			baseUrl = "https://git.cryto.net/${owner}/${repo}";
		in
			pkgs.fetchurl ({
				inherit name;
				url = "${baseUrl}/archive/${rev}.tar.gz";
				meta.homepage = baseUrl;
			} // removeAttrs sourceArgs ["owner" "repo" "rev"])
