{
	imports = [
		<nixpkgs/nixos/modules/profiles/qemu-guest.nix>
    ];

	boot = {
		initrd.availableKernelModules = [ "ata_piix" "uhci_hcd" "sd_mod" "sr_mod" "virtio_pci" "virtio_blk" ];

		loader.grub = {
			enable = true;
			version = 2;
			/* Previously the below was /dev/sda; now it suddenly changed to /dev/vda? */
			device = "/dev/vda";
		};
	};
}
